import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

public class StockApplet extends JApplet
{
   private StockPanel stPanel;
   private StockPanel2 stPanel2;
   int s = 90; // Bear market
	public void init()
	{
		 stPanel2 = new StockPanel2();
         stPanel = new StockPanel(s, stPanel2);
		 stPanel.reset();

         JPanel group = new JPanel();
  		 JButton bReset = new JButton("Reset");
         bReset.addActionListener( new
          ActionListener()
          {
             public void actionPerformed(ActionEvent e)
             {
                  stPanel.reset();
                  stPanel2.reset();

             }
          });

		 JButton bRandom = new JButton("Random");
         bRandom.addActionListener( new
          ActionListener()
          {
             public void actionPerformed(ActionEvent e)
             {
                  stPanel.random();
             }
          });
         JButton start = new JButton("Start");
         start.addActionListener( new
          ActionListener()
          {
             public void actionPerformed(ActionEvent e)
             {
                  stPanel.start();
             }
          });
         JButton stop = new JButton("Stop");
         stop.addActionListener( new
           ActionListener()
           {
             public void actionPerformed(ActionEvent e)
             {
                  stPanel.stop();
             }
           });
      	 final JSlider zoom = new JSlider(JSlider.HORIZONTAL, 1, 20, 1);
      	 ChangeListener listener = new ChangeListener()
		 {
			public void stateChanged(ChangeEvent event)
			{
				stPanel.zoom(zoom.getValue());
			}
		  };
      	 final JSlider speed = new JSlider(JSlider.HORIZONTAL, 1, 18, 1);
      	 ChangeListener listener2 = new ChangeListener()
		 {
			public void stateChanged(ChangeEvent event)
			{
				stPanel.speed(speed.getValue());
			}
		  };
		 JLabel zoomLabel = new JLabel("Zoom");
		 JLabel speedLabel = new JLabel("Speed");
		 zoom.addChangeListener(listener);
		 speed.addChangeListener(listener2);
		 JPanel group2 = new JPanel();
		 zoom.setPaintTicks(true);
		 speed.setPaintTicks(true);
		 group2.add(zoomLabel);
         group2.add(zoom);
         group2.add(speedLabel);
         group2.add(speed);
         group.add(start);
         group.add(stop);
         group.add(bRandom);
         group.add(bReset);
         // trying to add a split pane
      	 JSplitPane splitPane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT, stPanel, stPanel2);
     	 splitPane.setOneTouchExpandable(false);
     	 splitPane.setDividerLocation(300);

     	 Container contentPane = getContentPane();

     	 contentPane.add(splitPane, BorderLayout.CENTER);
     	 contentPane.add(group, BorderLayout.SOUTH);
     	 contentPane.add(group2, BorderLayout.NORTH);
     	 group2.validate();


	}
}