

import java.awt.*;
import java.awt.event.*;
import java.awt.geom.*;
import javax.swing.*;
import java.util.*;
import java.lang.Integer;

import javax.swing.*;
import java.awt.*;
import java.util.Calendar;
import java.awt.event.*;
import javax.swing.event.*;

public class StockPanel2 extends JPanel
{

    public StockPanel2()
    {

    }
	public void setBB(int bull, int bear)
    {
		diff = (bull - bear + 700)/10;
		if(diff > HEIGHT - 1)
			diff = HEIGHT - 1;
		if(diff < 0)
			diff = 0;
		start = 1;
		repaint();
    }
    public void paintComponent(Graphics g)
    {
        super.paintComponent(g);
        update(g);


    }
    public void draw(Graphics g)
    {
		if(start == 1)
		{
			for(int i = 0; i < WIDTH - 1; i++)
			{
				for(int j = 0; j < HEIGHT; j++)
				{
					if(cell[i][j] == 0)
					{
						g.setColor(white);
						g.fillRect(i * 3, j * 2, 3, 2);
						cell[i][j] = cell[i + 1][j];
					}
					else
					{
						g.setColor(black);
						g.fillRect(i * 3, j * 2, 3, 1);
						cell[i][j] = cell[i + 1][j];
					}
				}
			}
			for(int i = 0; i < HEIGHT; i++)
			{
				cell[WIDTH - 1][i] = 0;
			}
			cell[WIDTH - 1][diff] = 1;
		}

	}
    public void update(Graphics g)
    {
        Dimension d = getSize();
        if(offGraphics == null || offDimension.width != d.width)
        {
			offDimension = d;
			offImage = createImage(d.width, d.height);
			offGraphics = offImage.getGraphics();
		}
		draw(offGraphics);

		g.drawImage(offImage, 0, 0, this);
	}

    public void reset()
    {
		for (int i = 0; i < WIDTH; i++)
		{
			for (int j = 0; j < HEIGHT; j++)
			{
				cell[i][j] = 0;
			}
		}
		start = 0;
		repaint();
	}


   	private Thread clockThread = null;
    private Font font = new Font("Monospaced", Font.BOLD, 48);
    private Font font2 = new Font("Arial", Font.PLAIN, 16);
    private Color white = Color.white;
    private Color black = Color.black;
	private int WIDTH = 100;
	private int HEIGHT = 200;
	private int[][] cell = new int[WIDTH][HEIGHT];
    private int zoom = 2;
    private int speed = 2;


    private int initial = 0;
    private int current = 0;
    private int wasReset = 0;

	private int start = 0;
    private int diff = 0;

    // image stuff
    private Dimension offDimension;
    private Image offImage;
    private Graphics offGraphics;

}

